/*  Project leowl_3
    xor@frognet.net
    Copyright © 1996. Andrey B. Yastrebov. All Rights Reserved.

    SUBSYSTEM:    leowl_3.exe Application
    FILE:         leowl_3.cpp
    AUTHOR:       Andrey B. Yastrebov


    OVERVIEW
    ========
    Source file for implementation of leowl_3 (TApplication).
*/


#include <owl\owlpch.h>
#pragma hdrstop


#include "leowl_3.h"
#include "leowl_3d.h"                        // Definition of client class.


//{{leowl_3 Implementation}}


//////////////////////////////////////////////////////////
// leowl_3
// =====
//
leowl_3::leowl_3 () : TApplication("leowl_3")
{
}

leowl_3::~leowl_3 ()
{
}


//////////////////////////////////////////////////////////
// leowl_3
// =====
// Application intialization.
//
void leowl_3::InitMainWindow ()
{
    nCmdShow = SW_HIDE;
    SetMainWindow(new TFrameWindow(0,0,0));
}

void leowl_3::InitInstance ()
{
    TApplication::InitInstance();

    //
    // Show Dialog
    //
    leowl_3Dialog* dlg = new leowl_3Dialog(MainWindow,IDD_CLIENT);
    dlg->Execute();
    delete dlg;
    
    //
    // Arrange stopping application
    //
    PostQuitMessage(0);

}

int OwlMain (int , char* [])
{
    try {
        leowl_3    app;
        return app.Run();
    }
    catch (xmsg& x) {
        ::MessageBox(0, x.why().c_str(), "Exception", MB_OK);
    }

    return -1;
}



